aboutsummaryrefslogtreecommitdiff
path: root/bin/edda
diff options
context:
space:
mode:
Diffstat (limited to 'bin/edda')
-rwxr-xr-xbin/edda3
1 files changed, 3 insertions, 0 deletions
diff --git a/bin/edda b/bin/edda
index 0f242c58..589352be 100755
--- a/bin/edda
+++ b/bin/edda
@@ -2,6 +2,9 @@
# Run ed(1) over multiple files, duplicating stdin.
self=edda
+# Give up completely if no BASH_VERSINFO (<2.0)
+[ -n "$BASH_VERSINFO" ] || exit
+
# Define usage function
usage() {
printf 'USAGE: %s [OPTS] [--] FILE1 [FILE2...]\n' "$self"